# Uses of Class
org.eclipse.zest.core.widgets.GraphNode

Packages that use GraphNode
Package
Description
org.eclipse.zest.core.viewers
org.eclipse.zest.core.widgets

## Uses of GraphNode in org.eclipse.zest.core.viewers

Methods in org.eclipse.zest.core.viewers that return GraphNode
Modifier and Type
Method
Description
`GraphNode`
AbstractStructuredGraphViewer.`addGraphModelContainer(Object element)`
`GraphNode`
AbstractStructuredGraphViewer.`addGraphModelNode(Object element, org.eclipse.draw2d.IFigure figure)`
`GraphNode`
AbstractStructuredGraphViewer.`addGraphModelNode(IContainer container, Object element)`
`protected GraphNode`
AbstractStructuredGraphViewer.`createNodeObject(Graph graphModel, org.eclipse.draw2d.IFigure figure)`
Implement and return the new node object, enables to define custom graph nodes
`GraphNode`
AbstractStructuredGraphViewer.`getGraphModelNode(Object obj)`
`protected GraphNode[]`
AbstractStructuredGraphViewer.`getNodesArray(Graph graph)`
Converts the list of GraphModelNode objects into an array an returns it.
Methods in org.eclipse.zest.core.viewers that return types with arguments of type GraphNode
Modifier and Type
Method
Description
`Map<Object,GraphNode>`
AbstractStructuredGraphViewer.`getNodesMap()`
Methods in org.eclipse.zest.core.viewers with parameters of type GraphNode
Modifier and Type
Method
Description
`GraphConnection`
AbstractStructuredGraphViewer.`addGraphModelConnection(Object element, GraphNode source, GraphNode target)`
`protected GraphConnection`
AbstractStructuredGraphViewer.`createConnectionObject(Graph graphModel, GraphNode source, GraphNode destination)`
Implement and return the new connection object, enables to define custom graph connections
`void`
ISelfStyleProvider.`selfStyleNode(Object element, GraphNode node)`
Deprecated, for removal: This API element is subject to removal in a future version.

## Uses of GraphNode in org.eclipse.zest.core.widgets

Subclasses of GraphNode in org.eclipse.zest.core.widgets
Modifier and Type
Class
Description
`class`
`CGraphNode`
A Custom Graph Node
`class`
`GraphContainer`
A Container than can be added to a Graph.
Methods in org.eclipse.zest.core.widgets that return GraphNode
Modifier and Type
Method
Description
`GraphNode`
GraphConnection.`getDestination()`
Gets the target node for this relationship
`GraphNode`
GraphConnection.`getSource()`
Gets the source node for this relationship
Methods in org.eclipse.zest.core.widgets that return types with arguments of type GraphNode
Modifier and Type
Method
Description
`List<? extends GraphNode>`
Graph.`getNodes()`
Gets a list of the GraphModelNode children objects under the root node in this diagram.
`List<GraphNode>`
GraphContainer.`getNodes()`
`List<? extends GraphNode>`
IContainer.`getNodes()`
Methods in org.eclipse.zest.core.widgets with parameters of type GraphNode
Modifier and Type
Method
Description
`void`
Graph.`addNode(GraphNode node)`
`void`
GraphContainer.`addNode(GraphNode node)`
`void`
IContainer2.`addNode(GraphNode graphNode)`
`boolean`
Graph.`canCollapse(GraphNode node)`
`boolean`
Graph.`canExpand(GraphNode node)`
`void`
GraphConnection.`registerConnection(GraphNode source, GraphNode destination)`
`void`
Graph.`setExpanded(GraphNode node, boolean expanded)`
Constructors in org.eclipse.zest.core.widgets with parameters of type GraphNode
Modifier
Constructor
Description
``
`GraphConnection(Graph graphModel, int style, GraphNode source, GraphNode destination)`
``
`HideNodeHelper(GraphNode node)`
Create a HideNodeHelper and add it to the node's nodeFigure